Page MenuHomePhabricator

Add full item title to bridge RegExp and pass to app
Closed, ResolvedPublic

Description

To check edit permissions for an item, we need its title, not just its entity ID. Since the title is already part of the edit link, we can get it from there.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterWikibase (beta-only): Update wmgWikibaseClientDataBridgeHrefRegExp
mediawiki/extensions/Wikibase : masterAdd entity title to AppInformation

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2019, 12:13 PM

Change 552497 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] Add entity title to AppInformation

https://gerrit.wikimedia.org/r/552497

Change 552498 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[operations/mediawiki-config@master] Wikibase (beta-only): Update wmgWikibaseClientDataBridgeHrefRegExp

https://gerrit.wikimedia.org/r/552498

Change 552497 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add entity title to AppInformation

https://gerrit.wikimedia.org/r/552497

Change 552498 merged by jenkins-bot:
[operations/mediawiki-config@master] Wikibase (beta-only): Update wmgWikibaseClientDataBridgeHrefRegExp

https://gerrit.wikimedia.org/r/552498

Mentioned in SAL (#wikimedia-operations) [2019-11-26T12:38:43Z] <lucaswerkmeister-wmde@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: SWAT: [[gerrit:552498|Wikibase (beta-only): Update wmgWikibaseClientDataBridgeHrefRegExp (T238918)]] (duration: 00m 53s)

Lucas_Werkmeister_WMDE closed this task as Resolved.Nov 26 2019, 12:39 PM